Subject: Re: linux-next: manual merge of the akpm-current tree with the tip tree

From: Josh Triplett <[email-masked]>
Date: Fri, 8 Nov 2013 16:19:18 -0800

On Sat, Nov 09, 2013 at 10:20:58AM +1100, Stephen Rothwell wrote:
> Hi Josh,
> 
> On Fri, 8 Nov 2013 10:58:12 -0800 Josh Triplett <[email-masked]> wrote:
> >
> > Won't splitting the Makefile change into a separate commit break
> > bisection, in particular if you have the changes adding inlines but you
> > also compile in lglock.o?  Shouldn't this be squashed into the merge
> > itself, keeping the kernel/Makefile section of my original patch?
> 
> Actually it is not a problem because that fix patch was applied to the
> merge commit between the part of Andrew's tree that depends only on
> Linus' tree and the rest of linux-next.  So each side of the merge is ok
> and the merge commit itself fixes up the conflict.
> 
> I just split it this way for my work flow purposes.

Ah, I see.  That wasn't obvious to me from your previous mail explaining
your fix. :)

- Josh Triplett